/**
 *StringField
 */
export function StringField(value) {
    return { _type: 'String', value: value };
}
/**
 *NumberField
 */
export function NumberField(value) {
    return { _type: 'Number', value: value };
}
/**
 *DateField
 */
export function DateField(value) {
    return { _type: 'Date', value: value };
}
/**
 *RefField
 */
// eslint-disable-next-line no-use-before-define
export function RefField(snapshot) {
    return { _type: 'Ref', snapshot: snapshot };
}
/**
 * RefUpdateField
 */
// eslint-disable-next-line no-use-before-define
export function RefUpdateField(doc) {
    return {
        _type: 'RefUpdate',
        doc: doc,
    };
}
export function ImageField(value) {
    return {
        _type: 'Image',
        value: value,
    };
}
/**
 *CreationTimeField
 */
export function CreationTimeField() {
    return { _type: 'CreationTime' };
}
/**
 *CreationTimeField
 */
export function IncrementField(value) {
    return {
        _type: 'Increment',
        value: value,
    };
}
//# sourceMappingURL=data.js.map