"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IncrementField = exports.CreationTimeField = exports.ImageField = exports.RefUpdateField = exports.RefField = exports.DateField = exports.NumberField = exports.StringField = void 0;
/**
 *StringField
 */
function StringField(value) {
    return { _type: 'String', value };
}
exports.StringField = StringField;
/**
 *NumberField
 */
function NumberField(value) {
    return { _type: 'Number', value };
}
exports.NumberField = NumberField;
/**
 *DateField
 */
function DateField(value) {
    return { _type: 'Date', value };
}
exports.DateField = DateField;
/**
 *RefField
 */
// eslint-disable-next-line no-use-before-define
function RefField(snapshot) {
    return { _type: 'Ref', snapshot };
}
exports.RefField = RefField;
/**
 * RefUpdateField
 */
// eslint-disable-next-line no-use-before-define
function RefUpdateField(doc) {
    return {
        _type: 'RefUpdate',
        doc,
    };
}
exports.RefUpdateField = RefUpdateField;
function ImageField(value) {
    return {
        _type: 'Image',
        value,
    };
}
exports.ImageField = ImageField;
/**
 *CreationTimeField
 */
function CreationTimeField() {
    return { _type: 'CreationTime' };
}
exports.CreationTimeField = CreationTimeField;
/**
 *CreationTimeField
 */
function IncrementField(value) {
    return {
        _type: 'Increment',
        value,
    };
}
exports.IncrementField = IncrementField;
//# sourceMappingURL=data.js.map