import { Either, Option } from 'trimop';
import { Doc, Field, WriteDoc, WriteField } from './data';
/**
 * ApplyDocWriteError
 */
export declare type ApplyDocWriteError = {
    readonly field: Option<Field>;
};
export declare function ApplyDocWriteError(field: Option<Field>): ApplyDocWriteError;
/**
 *
 * @param param0
 * @returns
 */
export declare function applyFieldWrite({ field, writeField, }: {
    readonly field: Option<Field>;
    readonly writeField: WriteField;
}): Either<ApplyDocWriteError, Field>;
export declare function applyDocWrite({ doc, writeDoc, }: {
    readonly doc: Option<Doc>;
    readonly writeDoc: WriteDoc;
}): Either<ApplyDocWriteError, Doc>;
//# sourceMappingURL=apply-doc-write.d.ts.map