import { Dict } from 'trimop';
export declare type SchemaSyncedFields = Dict<SchemaSyncedFields | true>;
export declare type CountSchemaField = {
    readonly countedCol: string;
    readonly groupByRef: string;
    readonly type: 'Count';
};
export declare type CreationTimeSchemaField = {
    readonly type: 'CreationTime';
};
export declare type ImageSchemaField = {
    readonly type: 'Image';
};
export declare type OwnerSchemaField = {
    readonly syncFields?: Dict<true>;
    readonly type: 'owner';
};
export declare type RefSchemaField = {
    readonly refedCol: string;
    readonly syncFields?: SchemaSyncedFields;
    readonly type: 'Ref';
};
export declare type StringSchemaField = {
    readonly type: 'String';
};
export declare type SchemaField = CountSchemaField | CreationTimeSchemaField | ImageSchemaField | OwnerSchemaField | RefSchemaField | StringSchemaField;
//# sourceMappingURL=schema.d.ts.map